Subject: Re: linux-next: build failure after merge of the drm tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 18 Jan 2021 11:59:24 +1100

Hi all,

On Mon, 11 Jan 2021 10:56:54 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> On Fri, 8 Jan 2021 12:25:40 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > On Fri, 8 Jan 2021 11:55:18 +1100 Stephen Rothwell <[email-masked]> wrote:  
> > >
> > > After merging the drm tree, today's linux-next build (x86_64 allmodconfig)
> > > failed like this:
> > > 
> > > error: the following would cause module name conflict:
> > >   drivers/video/fbdev/omap2/omapfb/displays/panel-dsi-cm.ko
> > >   drivers/gpu/drm/panel/panel-dsi-cm.ko
> > > 
> > > Maybe caused by commit
> > > 
> > >   cf64148abcfd ("drm/panel: Move OMAP's DSI command mode panel driver")
> > > 
> > > I have used the drm tree from next-20210107 for today.    
> > 
> > This has affected the drm-misc tree as well (since it merged in the drm
> > tree).
> > 
> > I have used the drm-misc tree from next-20210107 for today.  
> 
> And now the drm-intel tree.
> 
> I have used the drm-intel tree from next-20210108 for today.

This is still affecting the drm and drm-intel trees.

-- 
Cheers,
Stephen Rothwell